Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615790 - grub2's install is incomplete
grub2's install is incomplete
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
15
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 16:24 EDT by Tom H
Modified: 2011-07-03 10:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom H 2010-07-18 16:24:52 EDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.6) Gecko/20100625 Firefox/3.6.6

Installing grub2 on a fully-updated but otherwise unmodified F13 Live install doesn't create /boot/grub2/grub.cfg so grub1 cannot chainload grub2 through the "grub2 (1.98)" menu entry.

From http://lists.fedoraproject.org/pipermail/users/2010-July/378396.html

On Sat, Jul 17, 2010 at 2:41 PM, JD <jd1008 at gmail.com> wrote:
> Has anyone installed grub2 on F13?
> If yes, did it work OK?
> did you have to manually modify any files
> in /boot/grub?
> If it did  not work, was it easy to get back
> to legacy grub?

I have just installed grub2 in an f13 vbox (built through an f13 live
cd install) and it looks to me like that:
(1) grub1 is still in control and the mbr is untouched
(2) you can just uninstall grub2 because of (1)

For the record:

Installing grub2 added an entry to the grub1 menu pointing to grub2's
stage 1 img in /boot/grub2.

The grub boot menu remains grub1's and still defaults to the grub1
entry to boot the most recent kernel.

Choosing the grub2 entry fails because there is no grub.cfg.

Creating grub.cfg manually fails because gettext is not installed.

Installing gettext allows you to run "grub2-mkconfig -o
/boot/grub2/grub.cfg" to create a grub.cfg and be able to chainload
grub2 from grub1 (I hope that Fedora will eventually add an
"update-grub"/"update-grub2" shell script to run "grub2-mkconfig -o
/boot/grub2/grub.cfg" like Debian/Ubuntu to save us the trouble of
creating it).


Reproducible: Always

Steps to Reproduce:
1. Install F13
2. Install grub2
3.
Actual Results:  
Incomplete install of grub2

Expected Results:  
Install of grub2 and ability to chainload grub2 from grub1

Since installing gettext enable me to create grub.cfg, I assume that having a grub2 dependency on gettext will solve the problem.
Comment 1 Bug Zapper 2011-06-01 09:31:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:19:31 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Tom H 2011-07-03 10:45:57 EDT
(In reply to comment #0)
> 
> Installing grub2 on a fully-updated but otherwise unmodified F13 Live install
> doesn't create /boot/grub2/grub.cfg so grub1 cannot chainload grub2 through
> the "grub2 (1.98)" menu entry.
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1. Install F13
> 2. Install grub2
> 3.
> Actual Results:  
> Incomplete install of grub2
> 
> Expected Results:  
> Install of grub2 and ability to chainload grub2 from grub1

Both F14 and F15 have the same issue.

I've downloaded the Rawhide/F16 rpm and ran "rpm -qpR grub2..." and the gettext dependency's listed so it's fixed in the upcoming version of Fedora...

Note You need to log in before you can comment on or make changes to this bug.